"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.checkProps = void 0;

// Check some props consistency
var checkProps = (input, doRepeat, doNotRepeat, inputFilter) => {
  var name = input.name;
  var inputType = input.type.toLowerCase(); // Check inputFilter

  if (inputFilter && ['text'].indexOf(inputType) < 0) {
    console.warn("Valium: You passed inputFilter to the Input Element (".concat(name, ") of type (").concat(inputType, "), but it does not support it"));
  } // Check doRepeat


  if (doRepeat != undefined && doRepeat == name) {
    console.warn("Valium: You passed doRepeat prop to the Input Element (".concat(name, ") with the same name"));
  } // Check doNotRepeat


  if (doNotRepeat != undefined && doNotRepeat == name) {
    console.warn("Valium: You passed doNotRepeat prop to the Input Element (".concat(name, ") with the same name"));
  }
};

exports.checkProps = checkProps;