"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useCheckProps = void 0;

var _react = require("react");

var _log = require("../helpers/log");

var _checkProps = require("./checkProps");

var useCheckProps = (inputRef, doRepeat, doNotRepeat, inputFilter) => {
  (0, _react.useEffect)(() => {
    if (process.env.NODE_ENV !== "production") {
      if (inputRef != undefined && inputRef.current != undefined) {
        var input = inputRef.current;
        (0, _log.log)('input', "".concat(input.name, " (").concat(input.type, ") #").concat(input.id, " useCheckProps()"));
        (0, _checkProps.checkProps)(input, doRepeat, doNotRepeat, inputFilter);
      }
    }
  }, [inputRef, doRepeat, doNotRepeat, inputFilter]);
};

exports.useCheckProps = useCheckProps;