"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getInputValue = void 0;

//import {log} from '../helpers/log'
var getInputValue = input => {
  var inputType = input.type.toLowerCase();

  if (inputType == 'checkbox') {
    return input.checked;
  }

  if (inputType == 'select-multiple') {
    var options = Array.prototype.slice.call(input.options);
    var value = options.filter(opt => opt.selected).map(opt => opt.value);
    return value;
  }

  if (inputType == 'file') {
    try {
      return input.files[0];
    } catch (e) {
      console.error("Valium: error on input ".concat(input.name, " of type file: ").concat(e.message));
      console.error(e);
      return undefined;
    }
  }
  /*
   // TO CHECK: When do we need this?
  if (input.value==undefined) {
    return ''
  }
  */


  return input.value;
};

exports.getInputValue = getInputValue;