"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useCheckboxEnsure = void 0;

var _react = require("react");

var _log = require("../helpers/log");

var useCheckboxEnsure = inputRef => {
  (0, _react.useEffect)(() => {
    var input = inputRef === null || inputRef === void 0 ? void 0 : inputRef.current;

    if (input == undefined) {
      return;
    }

    var inputType = input.type.toLowerCase(); // Ensure checkbox checked prop

    if (inputType === 'checkbox') {
      (0, _log.log)('input', "".concat(input.name, " (").concat(input.type, ") #").concat(input.id, " useCheckboxEnsure() ensuring value"));

      if (input.value === 'true' || input.value === true) {
        input.setAttribute('checked', true);
      }
    }
  }, [inputRef]);
};

exports.useCheckboxEnsure = useCheckboxEnsure;