"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useInput = void 0;

var _react = require("react");

var _log = require("./helpers/log");

var _useCheckProps = require("./checkers/useCheckProps");

var _useInputFilter = require("./inputFilter/useInputFilter");

var _useValidationListener = require("./validation/useValidationListener");

var _useValidationHandler = require("./validation/useValidationHandler");

//import {useCheckboxEnsure} from './ensurers/useCheckboxEnsure'
var useInput = props => {
  var _inputRef$current, _inputRef$current2, _inputRef$current3, _inputRef$current4, _inputRef$current5;

  var {
    transformValue,
    checkValue,
    allowedValues,
    disallowedValues,
    doRepeat,
    doNotRepeat,
    decimals,
    inputFilter,
    feedback
  } = props;
  var inputRef = (0, _react.useRef)(undefined); //
  // Specific effect to check props consistency. Just DEV time
  //

  (0, _useCheckProps.useCheckProps)(inputRef, doRepeat, doNotRepeat, inputFilter); //
  // Attaches input filters when needed
  //

  (0, _useInputFilter.useInputFilter)(inputRef, inputFilter); //
  // Ensures checkboxes value
  //
  //useCheckboxEnsure(inputRef)
  // 
  // Get validation handler and current validity
  //

  var [validity, handler] = (0, _useValidationHandler.useValidationHandler)(transformValue, checkValue, allowedValues, disallowedValues, doRepeat, doNotRepeat, decimals, feedback); //
  // Attaches validation listeners
  //

  (0, _useValidationListener.useValidationListener)(inputRef, handler); //
  // Runs validations from out of Valium
  //

  var setValidity = (0, _react.useCallback)(() => {
    handler(undefined, inputRef);
  }, [handler]); //
  // Runs validity checks on mount
  //

  (0, _react.useEffect)(() => {
    setValidity();
  }, [setValidity, inputRef === null || inputRef === void 0 ? void 0 : (_inputRef$current = inputRef.current) === null || _inputRef$current === void 0 ? void 0 : _inputRef$current.value]);
  (0, _log.log)('input', "Render, ".concat(inputRef === null || inputRef === void 0 ? void 0 : (_inputRef$current2 = inputRef.current) === null || _inputRef$current2 === void 0 ? void 0 : _inputRef$current2.name, " (").concat(inputRef === null || inputRef === void 0 ? void 0 : (_inputRef$current3 = inputRef.current) === null || _inputRef$current3 === void 0 ? void 0 : _inputRef$current3.type, ") #").concat(inputRef === null || inputRef === void 0 ? void 0 : (_inputRef$current4 = inputRef.current) === null || _inputRef$current4 === void 0 ? void 0 : _inputRef$current4.id, " useInput (value ").concat(inputRef === null || inputRef === void 0 ? void 0 : (_inputRef$current5 = inputRef.current) === null || _inputRef$current5 === void 0 ? void 0 : _inputRef$current5.value, ")"));
  return [inputRef, validity === '', validity, setValidity];
};

exports.useInput = useInput;