"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useValidationListener = void 0;

var _react = require("react");

var _getValidationEvents = require("../config/getValidationEvents");

var _log = require("../helpers/log");

var useValidationListener = (inputRef, handler) => {
  (0, _react.useEffect)(() => {
    var input = inputRef === null || inputRef === void 0 ? void 0 : inputRef.current;

    if (input == undefined) {
      return;
    } //log('input', `${input.name} (${input.type}) #${input.id} useValidationListener()`)


    var validationEvents = (0, _getValidationEvents.getValidationEvents)(input.type) || [];
    validationEvents.map(eventType => {
      input.addEventListener(eventType, handler);
    });
    (0, _log.log)('input', "".concat(input.name, " (").concat(input.type, ") #").concat(input.id, " useValidationListener() attached: ").concat(validationEvents.join(', '))); // clean listeners function

    var removeAllChangeListeners = () => {
      if (input != undefined) {
        (0, _log.log)('input', "".concat(input.name, " (").concat(input.type, ") #").concat(input.id, " useValidationListener() dettaching events"));
        validationEvents.map(eventType => {
          input.removeEventListener(eventType, handler);
        });
      } else {
        (0, _log.log)('input', "".concat(input.name, " (").concat(input.type, ") #").concat(input.id, " useValidationListener() WARNING! Could not dettach events"));
      }
    }; // return clean function


    return removeAllChangeListeners;
  }, [inputRef, handler]);
};

exports.useValidationListener = useValidationListener;